<?php
namespace Teknisa\SUP\Modules\Fornecimento\Modules\AutorizacaoFornecimento\Services;

class ProgressBarDataService {
    
    protected $connection;
    
    public function __construct(\Doctrine\ORM\EntityManager $entityManager){
        $this->entityManager = $entityManager;
        $this->connection = $entityManager->getConnection();
    }
    
    public function getProgressBarData($params){
        $query = "SELECT * FROM TABLE(RETORNAR_ORCAMENTO(:P_CDFILDEST, :P_CDFILLANC, :P_NRDEMANDA, :P_IDTPDEMANDA)) WHERE ROWNUM = 1";
        try {
            $std = $this->connection->prepare($query);
            $std->execute(
                array(
                    'P_CDFILDEST'   => $params['CDFILDEST'],
                    'P_CDFILLANC'   => $params['CDFILLANC'],
                    'P_NRDEMANDA'   => $params['NRDEMANDA'],
                    'P_IDTPDEMANDA' => $params['IDTPDEMANDA']
                )
            );
            return $std->fetchAll()[0];
        } catch (Exception $e){
            throw $e;
        }
    }
}